Page MenuHomePhabricator

WMF deployed EasyTimeline extension depends on Ploticus package which is not available in Debian Buster (but available again in Debian Bullseye)
Open, MediumPublic

Description

Mentioned by @Paladox in T137291#5471571.
Just creating this task as a heads-up.
Also hoping that T245757 is the correct parent task.

Event Timeline

Phil_Boswell renamed this task from WMF deployed EasyTimeline extension depends on Plotipus package which is not available anymore in Debian Buster to WMF deployed EasyTimeline extension depends on Ploticus package which is not available anymore in Debian Buster.May 22 2020, 10:21 AM

FWIW ploticus was fixed and will be in the next Debian stable release (bullseye), but it missed buster. In theory we could maintain our own backport of it, but obviously sunsetting EasyTimeline is a better long term solution.

Aklapper renamed this task from WMF deployed EasyTimeline extension depends on Ploticus package which is not available anymore in Debian Buster to WMF deployed EasyTimeline extension depends on Ploticus package which is not available in Debian Buster (but available again in Debian Bullseye).Jun 25 2020, 9:25 AM

FWIW ploticus was fixed and will be in the next Debian stable release (bullseye), but it missed buster. In theory we could maintain our own backport of it, but obviously sunsetting EasyTimeline is a better long term solution.

I'm going to upload an NMU for https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=967239, after that we can prepare a wikimedia-buster build based on the NMU upload.

I've uploaded an NMU (2.42-4.2) for ploticus which correctly enables the toolchain hardening (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=967239), we can import that version to buster-wikimedia for the mw migration of the app servers.

Marostegui triaged this task as Medium priority.Oct 19 2020, 10:38 AM